All pages
Powered by GitBook
1 of 1

Loading...

Get feedback

get

Use the select query parameter to specify which fields to include.

Path parameters
idstringRequired

The feedback ID.

Query parameters
selectstringOptional

Optional select statement to filter fields.

Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional

Gets or sets the description associated with the feedback.

idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
ratinginteger · int32 · nullableOptional

Gets or sets the rating associated with the feedback.

notesstring · nullableOptional

Gets or sets the notes associated with the feedback.

internalNotesstring · nullableOptional

Gets or sets the internal notes associated with the feedback.

externalIdstring · nullableOptional

Gets or sets the externalId associated with the feedback.

metaDataany · nullableOptional

Gets the metadata as a JSON document (read-only).

idstringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional

Gets or sets the description associated with the feedback.

idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
ratinginteger · int32 · nullableOptional

Gets or sets the rating associated with the feedback.

notesstring · nullableOptional

Gets or sets the notes associated with the feedback.

internalNotesstring · nullableOptional

Gets or sets the internal notes associated with the feedback.

externalIdstring · nullableOptional

Gets or sets the externalId associated with the feedback.

metaDataany · nullableOptional

Gets the metadata as a JSON document (read-only).

attachmentsobject · FeedbackAttachmentRef[] · nullableOptional
⤷Circular reference to object · FeedbackAttachmentRef[]
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
filenamestringOptional

Represents the name of the file associated with the attachment.

Example: report.pdf
sizeinteger · int64 · nullableOptional

Indicates the size of the file in bytes.

Example: 102400
contentTypestringOptional

Represents the MIME type of the file content.

Example: application/pdf
namestringOptional

Represents the name this attachment.

descriptionstring · nullableOptional

Represents the description this attachment.

404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
get/public/v1/helpdesk/feedback/{id}
GET /public/v1/helpdesk/feedback/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "icon": "text",
  "revision": 1,
  "description": "text",
  "requester": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1
  },
  "account": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active"
  },
  "status": "Submitted",
  "rating": 1,
  "notes": "text",
  "internalNotes": "text",
  "externalId": "text",
  "metaData": null,
  "attachments": [
    {
      "id": "text",
      "icon": "text",
      "revision": 1,
      "feedback": {
        "id": "text",
        "audit": {
          "created": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "updated": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          }
        },
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "icon": "text",
        "revision": 1,
        "description": "text",
        "requester": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        },
        "account": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1,
          "type": "Client",
          "status": "Active"
        },
        "status": "Submitted",
        "rating": 1,
        "notes": "text",
        "internalNotes": "text",
        "externalId": "text",
        "metaData": null,
        "attachments": [
          "[Circular Reference]"
        ]
      },
      "file": {
        "id": "text",
        "audit": {
          "created": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "updated": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          }
        },
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Icon",
        "filename": "report.pdf",
        "size": 102400,
        "contentType": "application/pdf"
      },
      "name": "text",
      "description": "text"
    }
  ]
}

Retrieve a feedback by ID